
Foreman - Refactor #15828

Turn default value in lookup key to a lookup value

07/25/2016 06:36 AM - Ori Rabin

Status: New   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As part of the efforts to refactor lookup values the default value in lookup key should be moved to a lookup value.

There is duplication of code that handles the default value and the rest of the values separately.

Changing the default value will allow to remove the duplication and make the rest of the refactoring simpler.

Related issues:

Related to Foreman - Refactor #12822: Separate LookupValue to different class... New 12/15/2015

History

#1 - 07/25/2016 06:36 AM - Ori Rabin

- Related to Refactor #12822: Separate LookupValue to different classes per LookupKey type added

#2 - 07/25/2016 07:09 AM - Dominic Cleal

- Category set to Parameters

#3 - 07/27/2016 08:56 AM - Ivan Necas

- Target version set to 113

#4 - 08/02/2016 10:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin

- Pull request https://github.com/theforeman/foreman/pull/3698 added

#5 - 08/16/2016 05:40 AM - Ivan Necas

- Target version changed from 113 to 1.7.0

#6 - 08/16/2016 05:56 AM - Ivan Necas

- Target version changed from 1.7.0 to 1.6.1

#7 - 09/08/2016 07:43 AM - Ivan Necas

- Target version changed from 1.6.1 to 127

#8 - 09/27/2016 09:06 AM - Ivan Necas

- Target version changed from 127 to 1.5.1

#9 - 10/24/2016 02:12 PM - Ivan Necas

- Target version changed from 1.5.1 to 1.4.1

#10 - 11/29/2016 09:47 AM - Ivan Necas

- Target version changed from 1.4.1 to 1.15.3
#11 - 07/23/2018 09:25 AM - Tomer Brisker

- Target version deleted (1.15.3)

#12 - 07/23/2018 10:53 AM - Ori Rabin

- Assignee deleted (Ori Rabin)

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3698)
